D4Science Infrastructure - Task #10239

Workspace Dev - Problems with the file copy operation
Nov 07, 2017 04:02 PM - Giancarlo Panichi

Status: Closed Start date: Nov 07, 2017
Priority: Normal Due date:
Assignee: Lucio Lelii % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: Workspace - Problems with the file copy

operation
Infrastructure: Development
Description

Workspace Dev - Problems with the file copy operation

History

#1 - Nov 07, 2017 04:09 PM - Giancarlo Panichi

| see this log on dev portal:

http://paste.research-infrastructures.eu/index.php?id=20171107143831_20263

#2 - Nov 07, 2017 06:38 PM - Costantino Perciante

Server side exception may be helpful

18:36:23.371 [catalina-exec—-7] ERROR JCRWorkspaceltem: Error adding metadata node to /Home
18:36:23.371 [catalina-exec-7] ERROR JCRWorkspaceltem: error setting owner
18:36:23.394 [catalina-exec-1] INFO GetItemByPath: Servlet GetItemByPath called with parameters: [path: /Home
/giancarlo.panichi/Workspace/MySpecialFolders]
18:36:23.413 [catalina-exec-10] INFO GetChildrenById: Servlet GetChildrenById called with parameters: [id: 3d
ald0b9-af27-40e9-b0c0-4aald03c746b - limit: 0 - offset: 0]
18:36:58.771 [catalina-exec-8] INFO LockSession: Servlet LockSession called with parameters: [session ID: ses
sion-workspacerep.imarine-1853 - on item ID: 8b78e811-05ee-4ae3-98b4-2fbd0b314d5a]
18:36:58.805 [catalina-exec—-8] INFO LockSession: lock on Node: /Home/giancarlo.panichi/Workspace/SAITest/NetC
DFSupport/Target/Compile/NetCDFSupport. jar
18:36:58.805 [catalina-exec—-8] INFO LockSession: ****x*kdkdkrkdkkrdkkrrdkrxrsrxs**x Tg Jock alive? true
18:37:01.806 [catalina-exec—-8] INFO LockSession: ****&xkdidksidkxidkxrkxrkxrkxrsx Tg lock alive (after one secon
d)? true
18:37:01.857 [catalina-exec-7] INFO GetItemByPath: Servlet GetItemByPath called with parameters: [path: /Home
/giancarlo.panichi/Workspace/SAITest/NetCDFSupport/Target/Deploy/NetCDFSupport. jar]
18:37:01.858 [catalina-exec-7] ERROR GetItemByPath: PathNotFoundException: /Home/giancarlo.panichi/Workspace/S
AITest/NetCDFSupport/Target/Deploy/NetCDFSupport.jar
18:37:01.865 [catalina-exec—-9] INFO Copy: Servlet Copy called with parameters: [srcAbsPath: /Home/giancarlo.p
anichi/Workspace/SAITest/NetCDFSupport/Target/Compile/NetCDFSupport.jar — destAbsPath: /Home/giancarlo.panichi
/Workspace/SAITest/NetCDFSupport/Target/Deploy/NetCDFSupport.jar — remove subgraph? : false]
18:37:01.871 [catalina-exec—-9] ERROR Copy: Error getting copy of node /Home/giancarlo.panichi/Workspace/SAITes
t /NetCDFSupport/Target/Compile/NetCDFSupport. jar
javax.jcr.PathNotFoundException: /Home/giancarlo.panichi/Workspace/SAITest/NetCDFSupport/Target/Deploy/NetCDFS
upport. jar

at org.apache. jackrabbit.core.ItemManager.getNode (ItemManager.java:577) ~[jackrabbit-core-2.14.0.jar:2.14.

0]

at org.apache. jackrabbit.core.session.SessionItemOperation$6.perform(SessionItemOperation.java:129) ~[jack
rabbit-core-2.14.0.jar:2.14.0]

at org.apache. jackrabbit.core.session.SessionItemOperation$é.perform(SessionItemOperation.java:125) ~[jack

rabbit-core-2.14.0.7jar:2.14.0]

at org.apache. jackrabbit.core.session.SessionItemOperation.perform(SessionItemOperation.java:187) ~[jackra
bbit-core-2.14.0.7jar:2.14.0]

at org.apache. jackrabbit.core.session.SessionState.perform(SessionState.java:216) ~[jackrabbit-core-2.14.0
.jar:2.14.0]

at org.apache. jackrabbit.core.SessionImpl.perform(SessionImpl.java:363) ~[jackrabbit-core-2.14.0.jar:2.14.
0]

at org.apache. jackrabbit.core.SessionImpl.getNode (SessionImpl.java:1151) ~[jackrabbit-core-2.14.0.jar:2.14
.0]

at org.apache. jackrabbit. j2ee.workspacemanager.servlets.get.Copy.copyltem(Copy.java:134) [Copy.class:na]

at org.apache. jackrabbit.j2ee.workspacemanager.servlets.get.Copy.doGet (Copy.java:82) [Copy.class:nal

at javax.servlet.http.HttpServlet.service (HttpServlet.java:620) [tomcat-servlet-api-3.0.jar:na]

at javax.servlet.http.HttpServlet.service (HttpServlet.java:727) [tomcat-servlet-api-3.0.7jar:na]
at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter (ApplicationFilterChain. java:303) [tomc
at-catalina-7.0.52.jar:7.0.52]

at org.apache.catalina.core.ApplicationFilterChain.doFilter (ApplicationFilterChain.java:208) [tomcat-catal
ina-7.0.52.jar:7.0.52]

at org.gcube.smartgears.managers.RequestManager.doFilter (RequestManager. java:95) [common-smartgears-2.1.3-
4.6.0-149132.7jar:nal

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter (ApplicationFilterChain. java:241) [tomc
at-catalina-7.0.52.jar:7.0.52]

at org.apache.catalina.core.ApplicationFilterChain.doFilter (ApplicationFilterChain.java:208) [tomcat-catal
ina-7.0.52.jar:7.0.52]

at org.apache.catalina.core.StandardWrapperValve.invoke (StandardWrapperValve. java:220) [tomcat-catalina-7.
0.52.jar:7.0.52]

at org.apache.catalina.core.StandardContextValve.invoke (StandardContextValve. java:122) [tomcat-catalina-7.
0.52.jar:7.0.52]

at org.apache.catalina.authenticator.AuthenticatorBase.invoke (AuthenticatorBase.java:501) [tomcat-catalina
-7.0.52.3ar:7.0.52]

at org.apache.catalina.core.StandardHostValve.invoke (StandardHostValve. java:170) [tomcat-catalina-7.0.52.]
ar:7.0.52]

at org.apache.catalina.valves.ErrorReportValve.invoke (ErrorReportValve. java:98) [tomcat-catalina-7.0.52.7ja
r:7.0.52]

at org.apache.catalina.valves.AccessLogValve.invoke (AccessLogValve.java:950) [tomcat-catalina-7.0.52.jar:7
.0.52]

at org.apache.catalina.valves.RemoteIpValve.invoke (RemoteIpValve. java:683) [tomcat-catalina-7.0.52.jar:7.0
.52]

at org.apache.catalina.core.StandardEngineValve.invoke (StandardEngineValve.java:116) [tomcat-catalina-7.0.
52.jar:7.0.52]

at org.apache.catalina.connector.CoyoteAdapter.service (CoyoteAdapter.java:408) [tomcat-catalina-7.0.52.jar
:7.0.52]

at org.apache.coyote.httpll.AbstractHttpllProcessor.process (AbstractHttpllProcessor.java:1041) [tomcat-coy
ote-7.0.52.jar:7.0.52]

at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process (AbstractProtocol.java:607) [tomcat
—coyote-7.0.52.Jar:7.0.52]

at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313) [tomcat-coyote-7.0.52.
jar:7.0.52]

at java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor.java:1142) [na:1.8.0_131]

at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [na:1.8.0_131]

at java.lang.Thread.run (Thread.java:748) [na:1.8.0_131]

#3 - Nov 08, 2017 11:10 AM - Lucio Lelii

- Status changed from New to In Progress

- % Done changed from 0 to 90

#4 - Nov 08, 2017 11:11 AM - Lucio Lelii

- Status changed from In Progress to Feedback

#5 - Nov 08, 2017 11:23 AM - Giancarlo Panichi

- Status changed from Feedback to In Progress

Now it seems to work

#6 - Nov 08, 2017 11:24 AM - Giancarlo Panichi

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
